Data Fields

# Token Struct Reference

`#include <lua/llex.h>`

Collaboration diagram for Token:
[legend]

## Data Fields
int | token
SemInfo | seminfo

## Detailed Description

Definition at line 49 of file llex.h.

## Field Documentation

SemInfo Token::seminfo

Definition at line 51 of file llex.h.

Referenced by anchor_token(), funcargs(), luaX_lookahead(), luaX_next(), simpleexp(), and str_checkname().

int Token::token

Definition at line 50 of file llex.h.

Referenced by anchor_token(), check(), chunk(), constructor(), forstat(), funcargs(), funcname(), ifstat(), luaX_lookahead(), luaX_next(), luaX_setinput(), luaX_syntaxerror(), parlist(), prefixexp(), primaryexp(), recfield(), retstat(), simpleexp(), statement(), subexpr(), and testnext().

The documentation for this struct was generated from the following file:

- lua/llex.h